MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005011ATutorThemepublic2012-06-29 15:462013-02-28 18:05
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.1Fixed in Version2.1.1 
Summary0005011: simple desktop keyboard path
DescriptionThe path the tab key takes through the UI of the Simple Desktop theme needs refining so when the Navigation or Content buttons are pressed, the focus moves to the first item in the list that opens. And, script the escape key and a click out to close the nav/content menues.
TagsNo tags attached.
Affects versionSVN
SVN Revision#28d2ea4bd4d006186d80f0c0ea397eca352dc7c6
Attached Files

- Relationships

-  Notes
(0005791)
cindy (administrator)
2012-07-27 13:13
edited on: 2012-07-27 14:02

Git commit#: 28d2ea4bd4d006186d80f0c0ea397eca352dc7c6

1. Re-constructed the javascript used by mobile themes: Move the js that's injected via $onload into a separate jscripts/mobile.js;
2. Fixed the issue that clicking on anywhere on the page closes up content and navigation drop down menu.

Affected:
themes/mobile/include/header.tmpl.php
themes/simplified_desktop/include/header.tmpl.php
jscripts/mobile.js

Remaining issue: "when the Navigation or Content buttons are pressed, the focus moves to the first item in the list that opens". Although the focus onto the first menu item can be achieved, there are 2 issues:

1. still need to tab onto the menu to activate item;
2. the focus styling doesn't look right when using arrow keys to go up/down the menu.

Need further investigation.

(0006090)
greg (administrator)
2013-02-20 11:24

see notes for affected files
(0006191)
greg (administrator)
2013-02-28 18:05

Resolved for 2.1.1

- Issue History
Date Modified Username Field Change
2012-06-29 15:46 greg New Issue
2012-06-29 15:46 greg Status new => assigned
2012-06-29 15:46 greg Assigned To => cindy
2012-07-27 13:13 cindy Note Added: 0005791
2012-07-27 14:02 cindy Note Edited: 0005791 View Revisions
2013-02-20 11:24 greg SVN Revision# => 28d2ea4bd4d006186d80f0c0ea397eca352dc7c6
2013-02-20 11:24 greg Note Added: 0006090
2013-02-20 11:24 greg Status assigned => resolved
2013-02-20 11:24 greg Fixed in Version => 2.1.1
2013-02-20 11:24 greg Resolution open => fixed
2013-02-28 18:05 greg Note Added: 0006191
2013-02-28 18:05 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker